=== debian/changelog ===
libgeotiff (1.5.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update upstream metadata for move to GitHub.
  * Bump Standards-Version to 4.3.0, no changes.
  * Rename source package to remove '-dfsg' suffix.
  * Update packaging for upstream removal of EPSG CSV files.
  * Require at least libproj-dev 6.0.0.
  * Update copyright file, changes:
    - Change Source URL to GitHub repository
    - Drop license & copyright for automake files
    - Add Even Rouault to copyright holders
  * Rename library package for SONAME bump.
  * Update symbols for 1.5.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Mar 2019 12:30:52 +0100

libgeotiff-dfsg (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Dec 2018 20:28:33 +0100

libgeotiff-dfsg (1.4.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Dec 2018 08:19:16 +0100

libgeotiff-dfsg (1.4.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Add Build-Depends-Package field to symbols file.
  * Refresh patches.
  * Sort build dependencies.
  * Update symbols for 1.4.3~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Dec 2018 20:49:44 +0100

libgeotiff-dfsg (1.4.2-4) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:49:18 +0200

libgeotiff-dfsg (1.4.2-3) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Add autopkgtest to test installability.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete get-orig-source target.
  * Drop obsolete dbg package.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 22:13:23 +0200

libgeotiff-dfsg (1.4.2-2) unstable; urgency=medium

  * Add upstream patch to revert back including "geo_config.h".
    Caused librasterlite2 configure to fail (#836308).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Sep 2016 18:42:40 +0200

libgeotiff-dfsg (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 03:20:42 +0200

libgeotiff-dfsg (1.4.2~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 21:17:37 +0200

libgeotiff-dfsg (1.4.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop automake-subdir-objects.patch, applied upstream.
  * Don't patch Makefile.in, but only Makefile.am.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Aug 2016 16:35:46 +0200

libgeotiff-dfsg (1.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patch.
  * Override dh_autoreconf to run autogen.sh instead of `autoreconf -fi`.
  * Add patch to fix automake warning by adding subdir-objects option.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 18:31:37 +0200

libgeotiff-dfsg (1.4.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file to also match pre-releases.
  * Change Upstream-Contact to GeoTIFF mailinglist.
  * Refresh patches.
  * Update symbols, GTIFTiepointTranslate made static.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 16:16:32 +0200

libgeotiff-dfsg (1.4.1-4) unstable; urgency=medium

  * Add patch to not install makegeo, install source in examples instead.
  * Use dh-autoreconf instead of autotools-dev.
  * Add patch to add manpages for applygeo & geotifcp, and fix listgeo manpage.
  * Explicitly remove .la file, not installed.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 00:05:17 +0200

libgeotiff-dfsg (1.4.1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buidflags.
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 18:05:54 +0200

libgeotiff-dfsg (1.4.1-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update URLs in upstream metadata to use HTTPS.
  * Update watch file to handle common issues and other tar extensions.
  * Don't ignore symbols changes in dh_makeshlibs override.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Feb 2016 17:41:35 +0100

libgeotiff-dfsg (1.4.1-1) unstable; urgency=medium

  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Use standalone license specification for FSF licenses
    - Align copyright holders
    - Drop .0 from GPL license shortname
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 18:49:20 +0200

libgeotiff-dfsg (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use uscan and Files-Excluded in copyright file to remove non-free
    csv files, repack upstream tarball using xz compression.
  * Update Makefile.in patch to also drop installation of removed csv
    files in Makefile.am.
  * Update symbols for 1.4.1.
  * Add debug package for libgeotiff2.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Nov 2014 15:22:25 +0100

libgeotiff-dfsg (1.4.0-5) unstable; urgency=medium


