## libgeotiff 1.5.0

=== debian/changelog ===
libgeotiff (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Mar 2019 19:28:52 +0100
