=== debian/changelog ===
libgeotiff (1.5.1-2) unstable; urgency=medium

  * Add patch to fix FTFBS with PROJ 6.2.0.
    (closes: #939399)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 16:05:10 +0200

libgeotiff (1.5.1-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Aug 2019 15:31:39 +0200

libgeotiff (1.5.1-1~exp3) experimental; urgency=medium

  * Add libjpeg-dev & libproj-dev to libgeotiff-dev dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Apr 2019 14:42:28 +0200

libgeotiff (1.5.1-1~exp2) experimental; urgency=medium

  * Add upstream patches to fix test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Apr 2019 06:58:24 +0200

libgeotiff (1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 1.5.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Mar 2019 06:45:46 +0100
