=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libproj-dev (>= 6.0.0),
                libtiff-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
@@ -21,6 +21,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libgeotiff5 (= ${binary:Version}),
+         libjpeg-dev,
+         libproj-dev (>= 6.0.0),
          libtiff-dev,
          ${misc:Depends}
 Suggests: libgeotiff-epsg
