## libgeotiff 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
-set(PROJECT_VERSION_MINOR 5)
-set(PROJECT_VERSION_PATCH 1)
+set(PROJECT_VERSION_MINOR 6)
+set(PROJECT_VERSION_PATCH 0)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 set(GeoTIFF_VERSION ${PROJECT_VERSION})
@@ -29,7 +29,7 @@
 # libgeotiff.so.2 -> libgeotiff.so.2.2.0
 # libgeotiff.so.2.2.0
 set(LINK_SOVERSION "5")
-set(LINK_VERSION "5.0.0")
+set(LINK_VERSION "5.0.1")
 
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
@@ -236,6 +236,7 @@
     epsg_proj.inc
     epsg_vertcs.inc
     geokeys.inc
+    geokeys_v1_1.inc
     libxtiff/xtiffio.h)
 
 SET(GEOTIFF_MAN_PAGES
