=== debian/changelog ===
libgeotiff (1.6.0-1build1) groovy; urgency=medium

  * No-change rebuild against libproj19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 May 2020 19:54:47 +0000

libgeotiff (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Add override for mailing-list-obsolete-in-debian-infrastructure.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Apr 2020 14:16:58 +0200

libgeotiff (1.6.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Drop patches, included upstream.
  * Add pkg-config to build dependencies.
  * Update symbols for 1.6.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Apr 2020 20:45:15 +0200
