=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: libgeotiff
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
                libjpeg-dev,
                libproj-dev (>= 6.0.0),
                libtiff-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
