## libgeotiff 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
-set(PROJECT_VERSION_MINOR 6)
+set(PROJECT_VERSION_MINOR 7)
 set(PROJECT_VERSION_PATCH 0)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
@@ -29,7 +29,7 @@
 # libgeotiff.so.2 -> libgeotiff.so.2.2.0
 # libgeotiff.so.2.2.0
 set(LINK_SOVERSION "5")
-set(LINK_VERSION "5.0.1")
+set(LINK_VERSION "5.1.0")
 
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
