=== debian/changelog ===
libgeotiff (1.7.0-2build1) jammy; urgency=medium

  * No-change rebuild against libproj22

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Oct 2021 07:33:56 +0000

libgeotiff (1.7.0-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 10:39:14 +0200

libgeotiff (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jul 2021 16:17:40 +0200

libgeotiff (1.7.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #983212)
  * Drop override for mailing-list-obsolete-in-debian-infrastructure.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Jun 2021 11:09:42 +0200
