=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libgeotiff
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
@@ -12,7 +11,7 @@
                libtiff-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
