=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libgeotiff
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                libjpeg-dev,
                libproj-dev (>= 6.0.0),
                libtiff-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
+Rules-Requires-Root: no
 
 Package: libgeotiff-dev
 Architecture: any
