=== debian/tests/control ===
Tests: geotiff-bin
Depends: geotiff-bin
Restrictions: allow-stderr
