=== debian/changelog ===
libgeotiff (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 May 2024 15:54:29 +0200

libgeotiff (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 May 2024 16:11:21 +0200

libgeotiff (1.7.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Replace pkg-config (build) dependency with pkgconf.
  * Drop patches, included/applied upstream.
  * Include pkg-config file in -dev package.
  * Update symbols for 1.7.2~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 May 2024 17:09:32 +0200
