=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libgeotiff
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
@@ -10,7 +9,7 @@
                libjpeg-dev,
                libproj-dev (>= 6.0.0),
                libtiff-dev,
-               pkg-config,
+               pkgconf,
                zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
