## libgeotiff 1.7.4

=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,12 @@
 
 FOREACH(utility ${GEOTIFF_UTILITIES})
     ADD_EXECUTABLE(${utility} ${utility}.c ${GETOPT_SOURCE})
-    TARGET_LINK_LIBRARIES(${utility} PRIVATE xtiff ${GEOTIFF_LIBRARY_TARGET})
+    TARGET_LINK_LIBRARIES(${utility} PRIVATE ${GEOTIFF_LIBRARY_TARGET})
 ENDFOREACH()
 
 ADD_EXECUTABLE(geotifcp geotifcp.c ${GETOPT_SOURCE})
 TARGET_LINK_LIBRARIES(geotifcp
     PRIVATE
-    xtiff
     ${GEOTIFF_LIBRARY_TARGET}
     ${JPEG_LIBRARIES}
     ${ZLIB_LIBRARIES})
