=== debian/changelog ===
libgeotiff (1.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Feb 2025 11:29:33 +0100

libgeotiff (1.7.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #1097191)
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Feb 2025 16:11:31 +0100
