=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libtiff-dev,
                pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
