=== debian/rules ===
--- 
+++ 
@@ -20,18 +20,8 @@
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
-override_dh_clean:
-	dh_clean libgeotiff.* xtiffio.h newgeo.tif
-
-override_dh_install:
-	$(RM) debian/*/usr/lib/*/libgeotiff.la
-	dh_install --list-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgeotiff2-dbg (<< 1.4.2-3~)'
